Create Operation
Create a send: returns the authorization for the partner to verify and sign.
curl -X POST "https://sandbox.rasto.co/api/wallets/example_string/operations" \
-H "Content-Type: application/json" \
-H "Api-Key: example_string" \
-H "Api-Version: example_string" \
-H "Idempotency-Key: example_string" \
-H "Api-Key: YOUR_API_KEY" \
-d '{
"asset": "example_string",
"amount": "10.5",
"destination_address": "123 Main St"
}'
import requests
import json
url = "https://sandbox.rasto.co/api/wallets/example_string/operations"
headers = {
"Content-Type": "application/json",
"Api-Key": "YOUR_API_KEY",
"Api-Version": "example_string",
"Idempotency-Key": "example_string"
}
data = {
"asset": "example_string",
"amount": "10.5",
"destination_address": "123 Main St"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://sandbox.rasto.co/api/wallets/example_string/operations", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Api-Key": "YOUR_API_KEY",
"Api-Version": "example_string",
"Idempotency-Key": "example_string"
},
body: JSON.stringify({
"asset": "example_string",
"amount": "10.5",
"destination_address": "123 Main St"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"asset": "example_string",
"amount": "10.5",
"destination_address": "123 Main St"
}`)
req, err := http.NewRequest("POST", "https://sandbox.rasto.co/api/wallets/example_string/operations", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Api-Key", "example_string")
req.Header.Set("Api-Version", "example_string")
req.Header.Set("Idempotency-Key", "example_string")
req.Header.Set("Api-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://sandbox.rasto.co/api/wallets/example_string/operations')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Api-Key'] = 'example_string'
request['Api-Version'] = 'example_string'
request['Idempotency-Key'] = 'example_string'
request['Api-Key'] = 'YOUR_API_KEY'
request.body = '{
"asset": "example_string",
"amount": "10.5",
"destination_address": "123 Main St"
}'
response = http.request(request)
puts response.body
{}
{
"error": {
"kind": "example_string",
"code": "example_string",
"message": "example_string",
"param": "example_string",
"request_id": "example_string"
}
}
{
"error": {
"kind": "example_string",
"code": "example_string",
"message": "example_string",
"param": "example_string",
"request_id": "example_string"
}
}
/api/wallets/{wallet_id}/operationsTarget server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
The /api contract to serve this request under, as an ISO date. Omit to use the default. Omitting it always keeps today's behaviour, so a future breaking change cannot move you. Supported: 2026-08-01.
Unique per request; a retry with the same key replays the stored status and body.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Headers
The /api contract to serve this request under, as an ISO date. Omit to use the default. Omitting it always keeps today's behaviour, so a future breaking change cannot move you. Supported: 2026-08-01.
Unique per request; a retry with the same key replays the stored status and body.
Body
10.5